import { formStyle01 } from "./data-list/form-style-01";
/**
 * 表单风格构建类
 */
export const FormStyleFactory = {
    buildForm: function (form) {
        let children = form && form.children;
        if (children) {
            children.forEach((child, i) => {
                let fs01 = formStyle01(child.rows, child);
                children.splice(i, 1, fs01);
            })
        }
        return form;
    }
}